
package com.platform.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import com.platform.utils.Configs;

@Controller
public class DefaultController {
	
	@RequestMapping("/")
	public ModelAndView defaultHandler(HttpServletRequest req, HttpServletResponse res){
		//处理不匹配的请求		
		System.out.println("index");		
		return new ModelAndView("index");
	}
	
	@RequestMapping("/test")
	public ModelMap test(HttpServletRequest req, HttpServletResponse res){
		//System.out.println(Class.class.getClass().getResource("/").getPath());
		System.out.println(Configs.EXTRACT_LOG_LOCALTION);
		return new ModelMap();
	}
	
}

